import { isUndefined } from "@coveo/bueno";
import { html, nothing } from "lit";
import { possiblyWarnOnBadFieldType } from "./field-warning.js";
const renderItemTextFallback = ({ props })=>(children)=>{
        const { getProperty, item, field, host, logger, defaultValue } = props;
        const raw = getProperty(item, field);
        possiblyWarnOnBadFieldType(field, raw, host, logger);
        if (!isUndefined(defaultValue)) return html`${children}`;
        host.remove();
        return nothing;
    };
export { renderItemTextFallback };
